Debian Bug report logs - #599874
pyopencl: incomplete d/copyright

version graph

Package: src:pyopencl; Maintainer for src:pyopencl is Tomasz Rybak <tomasz.rybak@post.pl>;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Tue, 12 Oct 2010 00:18:01 UTC

Severity: serious

Tags: patch

Found in version pyopencl/0.92~beta+git20100709-1

Fixed in version pyopencl/0.92-1

Done: Tomasz Rybak <bogomips@post.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Tomasz Rybak <bogomips@post.pl>:
Bug#599874; Package src:pyopencl. (Tue, 12 Oct 2010 00:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, Tomasz Rybak <bogomips@post.pl>. (Tue, 12 Oct 2010 00:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pyopencl: incomplete d/copyright
Date: Tue, 12 Oct 2010 01:49:11 +0200
[Message part 1 (text/plain, inline)]
Source: pyopencl
Version: 0.92~beta+git20100709-1
Severity: serious
Justification: Policy 4.5

pyopencl/clrandom.py contains some code which is “Copyright (C) 1990, 
RSA Data Security”. Current debian/copyright is missing this 
information.

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tomasz Rybak <bogomips@post.pl>:
Bug#599874; Package src:pyopencl. (Sat, 30 Oct 2010 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to Tomasz Rybak <bogomips@post.pl>. (Sat, 30 Oct 2010 16:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 599874@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: control@bugs.debian.org, 599874@bugs.debian.org
Subject: intent to NMU
Date: Sat, 30 Oct 2010 18:08:41 +0200
tag ! + patch
thanks


diff -Nurp pyopencl-0.92~beta+git20100709.orig//debian/changelog pyopencl-0.92~beta+git20100709/debian/changelog
--- pyopencl-0.92~beta+git20100709.orig//debian/changelog	2010-07-12 22:52:35.000000000 +0200
+++ pyopencl-0.92~beta+git20100709/debian/changelog	2010-10-30 17:53:19.000000000 +0200
@@ -1,3 +1,10 @@
+pyopencl (0.92~beta+git20100709-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Add missing copyright holder in debian/copyright (Closes: #599874).
+
+ -- Serafeim Zanikolas <sez@debian.org>  Sat, 30 Oct 2010 17:47:21 +0200
+
 pyopencl (0.92~beta+git20100709-1) unstable; urgency=low
 
   * Initial release
diff -Nurp pyopencl-0.92~beta+git20100709.orig//debian/copyright pyopencl-0.92~beta+git20100709/debian/copyright
--- pyopencl-0.92~beta+git20100709.orig//debian/copyright	2010-07-10 18:32:03.000000000 +0200
+++ pyopencl-0.92~beta+git20100709/debian/copyright	2010-10-30 17:52:55.000000000 +0200
@@ -28,4 +28,23 @@ Licence: MIT
  WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
  OTHER DEALINGS IN THE SOFTWARE.
+
+Files: pyopencl/clrandom.py
+Copyright: 1990, RSA Data Security, Inc.
+ License to copy and use this software is granted provided that
+ it is identified as the "RSA Data Security, Inc. MD5 Message
+ Digest Algorithm" in all material mentioning or referencing this
+ software or this function.
 
+ License is also granted to make and use derivative works
+ provided that such works are identified as "derived from the RSA
+ Data Security, Inc. MD5 Message Digest Algorithm" in all
+ material mentioning or referencing the derived work.
+ 
+ RSA Data Security, Inc. makes no representations concerning
+ either the merchantability of this software or the suitability
+ of this software for any particular purpose.  It is provided "as
+ is" without express or implied warranty of any kind.
+ 
+ These notices must be retained in any copies of any part of this
+ documentation and/or software.




Information forwarded to debian-bugs-dist@lists.debian.org, Tomasz Rybak <bogomips@post.pl>:
Bug#599874; Package src:pyopencl. (Sat, 30 Oct 2010 16:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to Tomasz Rybak <bogomips@post.pl>. (Sat, 30 Oct 2010 16:21:09 GMT) Full text and rfc822 format available.

Message #15 received at 599874@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: control@bugs.debian.org, 599874@bugs.debian.org
Subject: I don't intend to NMU, just to submit a patch
Date: Sat, 30 Oct 2010 18:17:24 +0200
tag 599874 patch
thanks




Added tag(s) patch. Request was from Serafeim Zanikolas <sez@debian.org> to control@bugs.debian.org. (Sat, 30 Oct 2010 16:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#599874; Package src:pyopencl. (Sat, 30 Oct 2010 20:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Rybak <bogomips@post.pl>:
Extra info received and forwarded to list. (Sat, 30 Oct 2010 20:18:03 GMT) Full text and rfc822 format available.

Message #22 received at 599874@bugs.debian.org (full text, mbox):

From: Tomasz Rybak <bogomips@post.pl>
To: Serafeim Zanikolas <sez@debian.org>, 599874@bugs.debian.org
Subject: Re: Bug#599874: intent to NMU
Date: Sat, 30 Oct 2010 21:40:55 +0200
[Message part 1 (text/plain, inline)]
Thanks, but I have all fixes ready.
Here is repository with new version of packaging files:
http://git.debian.org/?p=collab-maint/python-pyopencl.git

Now release maintainers are thinking whether to
allow for upload of new version (full 0,92 instead
of 0.92 beta which is in Squeeze) or only to accept
fixes:
http://lists.debian.org/debian-release/2010/10/msg00669.html

Should I tag somehow bugs related to pyopencl to let everybody
know that I have fixes waiting for decision?
Should it be patch or pending, knowing that release managers
have not taken decision yet?

-- 
Tomasz Rybak <bogomips@post.pl> GPG/PGP key ID: 2AD5 9860
Fingerprint A481 824E 7DD3 9C0E C40A  488E C654 FB33 2AD5 9860
http://member.acm.org/~tomaszrybak
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tomasz Rybak <bogomips@post.pl>:
Bug#599874; Package src:pyopencl. (Sun, 31 Oct 2010 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to Tomasz Rybak <bogomips@post.pl>. (Sun, 31 Oct 2010 09:24:04 GMT) Full text and rfc822 format available.

Message #27 received at 599874@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: Tomasz Rybak <bogomips@post.pl>
Cc: 599874@bugs.debian.org
Subject: Re: Bug#599874: intent to NMU
Date: Sun, 31 Oct 2010 10:21:15 +0100
Hi,

On Sat, Oct 30, 2010 at 09:40:55PM +0200, Tomasz Rybak wrote [edited]:
> Should I tag somehow bugs related to pyopencl to let everybody
> know that I have fixes waiting for decision?
> Should it be patch or pending, knowing that release managers
> have not taken decision yet?

It doesn't matter what, as long as it's clear that you're actively looking
into the issue. You could either mark it as blocked by a bug you've opened to
release.d.o, or CC the bug in related discussion with the release team.

Cheers,
Serafeim




Added tag(s) pending. Request was from Tomasz Rybak <bogomips@post.pl> to control@bugs.debian.org. (Sun, 07 Nov 2010 23:24:04 GMT) Full text and rfc822 format available.

Reply sent to Tomasz Rybak <bogomips@post.pl>:
You have taken responsibility. (Thu, 11 Nov 2010 23:03:27 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Thu, 11 Nov 2010 23:03:27 GMT) Full text and rfc822 format available.

Message #34 received at 599874-close@bugs.debian.org (full text, mbox):

From: Tomasz Rybak <bogomips@post.pl>
To: 599874-close@bugs.debian.org
Subject: Bug#599874: fixed in pyopencl 0.92-1
Date: Thu, 11 Nov 2010 23:02:06 +0000
Source: pyopencl
Source-Version: 0.92-1

We believe that the bug you reported is fixed in the latest version of
pyopencl, which is due to be installed in the Debian FTP archive:

pyopencl_0.92-1.debian.tar.gz
  to contrib/p/pyopencl/pyopencl_0.92-1.debian.tar.gz
pyopencl_0.92-1.dsc
  to contrib/p/pyopencl/pyopencl_0.92-1.dsc
pyopencl_0.92.orig.tar.gz
  to contrib/p/pyopencl/pyopencl_0.92.orig.tar.gz
python-pyopencl_0.92-1_i386.deb
  to contrib/p/pyopencl/python-pyopencl_0.92-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599874@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tomasz Rybak <bogomips@post.pl> (supplier of updated pyopencl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 05 Nov 2010 14:52:35 +0100
Source: pyopencl
Binary: python-pyopencl
Architecture: source i386
Version: 0.92-1
Distribution: unstable
Urgency: high
Maintainer: Tomasz Rybak <bogomips@post.pl>
Changed-By: Tomasz Rybak <bogomips@post.pl>
Description: 
 python-pyopencl - module to access OpenCL parallel computation API
Closes: 599782 599873 599874 599875
Changes: 
 pyopencl (0.92-1) unstable; urgency=high
 .
   * New upstream release
   * Fixed Vcs-* URLs in debian/control; now they point to Alioth
     instead of upstream git repository (Closes: #599875)
   * Fixed Maintainer field in debian/copyright (Closes: #599873)
   * Added missing licence for pyopencl/clrandom.py file (Closes: #599874)
   * Fixed FTBFS on i386 (Closes: #599782)
   * Forced build scripts not to use boost libraries that might be included
     in the source
   * Removed messages about missing Boost libraries; they are superfluous
     as package is using Debian ones
   * Update Standards-Version to 3.9.1; no changes necessary.
   * Changed dependencies:
     * Added alternative dependency to help with post-Squeeze changes
       in NVIDIA driver packages
     * Added alternative build-dependency on nvidia-libopencl1
       and opencl-headers instead of nvidia-libopencl1-dev
       which will be removed from NVIDIA driver packages after Squeeze
Checksums-Sha1: 
 d82d63b039aa551e4bd39fc4ac712f60d448f343 2095 pyopencl_0.92-1.dsc
 180242005a4cac770e4a08a6692575ce916ee2a3 81223 pyopencl_0.92.orig.tar.gz
 6cdec60619aadc5a6d06982639e3fb85b96c840d 6209 pyopencl_0.92-1.debian.tar.gz
 387239314ba659a352f953fdb148a4ce22f43790 540522 python-pyopencl_0.92-1_i386.deb
Checksums-Sha256: 
 0ed791281c58e4109d11bc98a619ae0159a950ae63f48a1f9c654a1afc4b4f63 2095 pyopencl_0.92-1.dsc
 0471c0d5d0c4ccb94bbcbd3b82ceeacc5de627306f06c9eecad200dda1e4d035 81223 pyopencl_0.92.orig.tar.gz
 1fd50140dfe6c3745ffc8d10b7900bfb3ce835fdb72b4a807dcc32e115ed758a 6209 pyopencl_0.92-1.debian.tar.gz
 312e8e6a94e4c7220002123ae31d2db2ac30a026f03dd4c538eef4dd7b241ef2 540522 python-pyopencl_0.92-1_i386.deb
Files: 
 ccb40f175880be6ebfd708903ab80689 2095 contrib/python optional pyopencl_0.92-1.dsc
 2e653886d3c9f32b8391f8c2222c860b 81223 contrib/python optional pyopencl_0.92.orig.tar.gz
 191d6cd37861d2c2e92aea659d832c70 6209 contrib/python optional pyopencl_0.92-1.debian.tar.gz
 1a7458de384dac44374a509f1beeed9a 540522 contrib/python optional python-pyopencl_0.92-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM3G9IAAoJEE+fbVUO1hIqsTwP/3WJoFvokzUbyqESQXx6Rqiv
cXwSE7gYCh2bm1iQTuNNrLalxWxF8KkvH+Ceq8GFyiyZN//O0BfUa6W6Q2ec0Lxm
6etio0FCW6UOrHPB+2943Mw0JUigDOMyntZo4JkbL+/zf72x0NS7+Gyqi3rKOv9I
UvTYtzrZGRC7oVAOiksZQewZEF4PsWnu81sNmOHPJz7eSLaqJUmgCm/fzCLOxrMh
MMHep9OizgubpBBbznTvkDfRD46eV3J4ijlLkrdMYugZgXW500JpoEPU0xy0gLoG
Rc44OIXUpfYnCMkWGmq8kgpL4I9dPf6DjsTz2OxKoQW4I2J1mDGd9YnkrcjtYxQa
ft/XF7y2G23J8RpYQCgY7O4Wb7KOrScglEbCP3jvlOIDNzExIPHkYs1GDl0pHaUm
VwMvqFGq/ypUoOjnrM4F9xbbEc80nWp60rj+d2Wsq8hNw5qoiAs8ISA7VegLnIZq
5uLOC8u4VsCo+4kBPZ7wE1+HDm4Zg0lgQL735TydHGbyIkaLY99hhNEPLjDGK33Z
5oKACMeIVlbY/BOCVORO88KW7f5mDiOdaK1n71zmzPqof7But1yMcAFn9bm4N3Cq
vdWlhyvGBT1O3pUKe2TCBqmMuNkDy/nqlOAVPkpRa2UkTi/Ux2j2uGhNFfN2qBnc
j/wH8yJnYS6NfwTrM38+
=LVXq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Dec 2010 07:33:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:53:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.